package org.dive4elements.river.artifacts.model;

import java.io.Serializable;

/**
 * Caching-Key object for 'static' wst- data.
 */
public final class StaticWKmsCacheKey
implements         Serializable
{
    public static final String CACHE_NAME = "wst-value-table-static";

    private int column;
    private int wst_id;

    public StaticWKmsCacheKey(int column, int wst_id) {
        this.wst_id  = wst_id;
        this.column  = column;
    }

    public int hashCode() {
        return (wst_id << 8) | column;
    }

    public boolean equals(Object other) {
        if (!(other instanceof StaticWKmsCacheKey)) {
            return false;
        }
        StaticWKmsCacheKey o = (StaticWKmsCacheKey) other;
        return wst_id == o.wst_id && this.column == o.column;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
